Last Comment Bug 705414 - Check JS_DefineElement for failure in nsScriptableRegion::GetRects
: Check JS_DefineElement for failure in nsScriptableRegion::GetRects
Status: RESOLVED FIXED
:
Product: Core
Classification: Components
Component: Graphics (show other bugs)
: Trunk
: All All
: -- normal (vote)
: mozilla11
Assigned To: Andrew Quartey [:drexler]
:
: Milan Sreckovic [:milan]
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2011-11-26 02:28 PST by :Ms2ger (⌚ UTC+1/+2)
Modified: 2011-12-05 13:11 PST (History)
3 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments
patch v1 (1.62 KB, patch)
2011-12-03 17:31 PST, Andrew Quartey [:drexler]
evilpies: review+
Ms2ger: feedback+
Details | Diff | Splinter Review

Description :Ms2ger (⌚ UTC+1/+2) 2011-11-26 02:28:16 PST
JS_DefineElement can fail, and we shouldn't continue after it's returned false.
Comment 1 Andrew Quartey [:drexler] 2011-12-03 17:31:52 PST
Created attachment 578876 [details] [diff] [review]
patch v1
Comment 2 :Ms2ger (⌚ UTC+1/+2) 2011-12-04 02:41:07 PST
Comment on attachment 578876 [details] [diff] [review]
patch v1

Looks good to me; Tom, could you review?
Comment 3 Tom Schuster [:evilpie] 2011-12-04 04:40:26 PST
Comment on attachment 578876 [details] [diff] [review]
patch v1

Looks good, Thank you.
Comment 5 Matt Brubeck (:mbrubeck) 2011-12-05 10:45:49 PST
https://hg.mozilla.org/mozilla-central/rev/4a1a8b361f59
Comment 6 Tobias (:Tobbi) Markus 2011-12-05 13:02:19 PST
Removing from the good first bug list
Comment 7 :Ms2ger (⌚ UTC+1/+2) 2011-12-05 13:11:42 PST
Why? Is anybody trying to suggest that people fix closed bugs?

Note You need to log in before you can comment on or make changes to this bug.